%global         momorel 3

Name:           perl-Devel-NYTProf
Version:        5.06
Release:        %{momorel}m%{?dist}
Summary:        Powerful fast feature-rich perl source code profiler
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Devel-NYTProf/
Source0:        http://www.cpan.org/authors/id/T/TI/TIMB/Devel-NYTProf-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Getopt-Long
BuildRequires:  perl-JSON-Any
BuildRequires:  perl-Scalar-Util
BuildRequires:  perl-Test-Simple >= 0.84
BuildRequires:  perl-XSLoader
Requires:       perl-Getopt-Long
Requires:       perl-JSON-Any
Requires:       perl-Scalar-Util
Requires:       perl-Test-Simple >= 0.84
Requires:       perl-XSLoader
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Devel::NYTProf is a powerful, fast, feature-rich perl source code profiler.

%prep
%setup -q -n Devel-NYTProf-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes HACKING INSTALL
%{_bindir}/flamegraph.pl
%{_bindir}/nytprof*
%{perl_vendorarch}/auto/Devel/NYTProf
%{perl_vendorarch}/Devel/MemoryProfiling.pod
%{perl_vendorarch}/Devel/NYTProf.pm
%{perl_vendorarch}/Devel/NYTProf
%{perl_vendorarch}/Devel/auto/Devel/NYTProf
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (5.06-3m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (5.06-2m)
- rebuild against perl-5.18.2

* Sat Sep 14 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (5.06-1m)
- update to 5.06

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (5.05-2m)
- rebuild against perl-5.18.1

* Sat Jul  6 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (5.05-1m)
- update to 5.05

* Sat Jun 22 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (5.04-1m)
- update to 5.04

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (5.03-1m)
- update to 5.03
- rebuild against perl-5.18.0

* Tue Apr 23 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (5.02-1m)
- update to 5.02

* Sat Apr 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (5.01-1m)
- update to 5.01

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.25-2m)
- rebuild against perl-5.16.3

* Sat Feb  9 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.25-1m)
- update to 4.25

* Tue Feb  5 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.24-1m)
- update to 4.24

* Thu Jan  3 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.23-1m)
- update to 4.23

* Sun Dec 30 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.12-1m)
- update to 4.12

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.09-2m)
- rebuild against perl-5.16.2

* Sun Sep 16 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.09-1m)
- update to 4.09

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.08-1m)
- update to 4.08

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.06-7m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.06-6m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.06-5m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.06-4m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.06-3m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.06-2m)
- rebuild for new GCC 4.6

* Thu Dec  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.06-1m)
- update to 4.06

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.05-2m)
- rebuild for new GCC 4.5

* Sun Oct 24 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.05-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
